#!/bin/sh
#   Author        : Levent Aydinbakar
#   Date          : 12-58-31---26-02-2024
#   Last Modified : 17-29-55---08-10-2024

# Update package list
echo "Updating package list..."
sudo apt-get update -y
sudo apt-get install -y texlive-latex-recommended
sudo apt-get install -y texlive-pictures
sudo apt-get install -y texlive-latex-extra

# Update and install Zsh, Vim, and Screen
echo "Updating package lists..."
sudo apt-get update
echo "Installing Evince, Git, Zsh, Vim, and Screen..."
sudo apt-get install -y evince git zsh vim screen

# Install dependencies and software from repositories
echo "Installing software from repositories..."
sudo apt update
sudo apt install -y gnuplot imagemagick ffmpeg 

rm -rf ~/.zsh ~/.zshenv ~/.vim ~/.vimrc ~/.screenrc ~/.viminfo

cp -r .zsh .zshenv .vim .vimrc .screenrc .viminfo ~/

sudo mkdir -p /opt/soscfd/lib /opt/soscfd/LIB
sudo mv submitAssignment.sh /opt/soscfd/lib/
sudo chmod +x /opt/soscfd/lib/submitAssignment.sh

